#include "classeditor.h"
#include "ui_classeditor.h"

ClassEditor::ClassEditor(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::ClassEditor)
{
    ui->setupUi(this);
//    settdialog = new SettingsDialog(this);
    settdialog.show();
    sql.setDatabaseName(tr("an_db"));
    field = new TableField(tr(""), this);
    field->setNotNull(true);
    field->setDefaultValue(tr(""));

    table = new SqlTable (tr("NewTable"), this);
    table->setName(tr("NewTable"));
    table->fields().at(0)->setNotNull(true);
    if (!(table->setPrimaryKey(tr("ID")))) {
         ui->label_3->setText(table->lastError());
    }
    else  ui->label_3->setText(table->primaryKey());
    table->append(field);

    field = new TableField(tr(""), this);
    field->setNotNull(true);
    field->setDefaultValue(tr(""));
    table->append(field);

    ui->label_2->setText(table->name());
    ui->label->setText(table->fields().at(0)->sqlString());
    ui->label_4->setText(table->sqlString());
    ui->lineEdit->insert(table->sqlString());

}

ClassEditor::~ClassEditor()
{
    delete ui;
 //    delete field;
   // delete settdialog;
}

void ClassEditor::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
